Bulletin d'alerte Debian

DSA-592-1 ez-ipupdate -- Format de chaînes de caractères

Date du rapport :
12 novembre 2004
Paquets concernés :
ez-ipupdate
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2004-0980.
Plus de précisions :

Ulf Härnhammar du projet d'audit de sécurité de Debian a découvert une faille de sécurité de format de chaînes de caractères dans ez-ipupdate, un client pour de nombreux services DNS dynamiques. Ce problème ne peut être exploité que si ez-ipupdate est utilisé en mode démon (ce qui est malheureusement souvent le cas) et uniquement avec certains services.

Pour la distribution stable (Woody), ce problème a été corrigé dans la version 3.0.11b5-1woody2.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 3.0.11b8-8.

Nous vous recommandons de mettre à jour votre paquet ez-ipupdate.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2.dsc
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2.diff.gz
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/e/ez-ipupdate/ez-ipupdate_3.0.11b5-1woody2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.